<?php
namespace Fifa\ConnectId\Sdk\Util\Initializer;

use Fifa\ConnectId\Sdk\Api\Model\PersonRegistrationsType as PersonRegistration;

/**
 * Class UpdateRegistrationsRequestType
 * @package Fifa\ConnectId\Sdk\Util\Initializer
 */
trait UpdateRegistrationsRequestType
{
    /**
     * Initialize UpdateRegistrationsRequestType with default values
     */
    public function initialize()
    {
        if (is_null($this->container['person_id'])) {
            $this->container['person_id'] = '';
        }

        if (is_null($this->container['old_registrations'])) {
            $this->container['old_registrations'] = new PersonRegistration();
        }

        if (is_null($this->container['new_registrations'])) {
            $this->container['new_registrations'] = new PersonRegistration();
        }
    }
}